#if !defined(AFX_RXDLG_H__635CD09C_7A6F_44AD_A594_2BE9C0A0BDF5__INCLUDED_)
#define AFX_RXDLG_H__635CD09C_7A6F_44AD_A594_2BE9C0A0BDF5__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// RxDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CRxDlg dialog

class CRxDlg : public CDialog
{
// Construction
public:
	CRxDlg(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CRxDlg)
	enum { IDD = IDD_RECEIVE };
	CEdit	m_SeqErrors;
	CButton	m_VerifyChksum;
	CButton	m_SequenceCheck;
	CButton	m_RxAll;
	CButton	m_Echo;
	CButton	m_DiskLog;
	CButton	m_Reset;
	CButton	m_Stop;
	CButton	m_Start;
	CEdit	m_ErrCount;
	CEdit	m_RxCount;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CRxDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CRxDlg)
	afx_msg void OnStart();
	afx_msg void OnStop();
	afx_msg void OnExit();
	virtual BOOL OnInitDialog();
	afx_msg void OnReset();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_RXDLG_H__635CD09C_7A6F_44AD_A594_2BE9C0A0BDF5__INCLUDED_)
